#
# ovirt-engine-setup -- ovirt engine setup
# Copyright (C) 2014 Red Hat, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

"""Constants."""

import os
import gettext
_ = lambda m: gettext.dgettext(message=m, domain='ovirt-engine-setup')

from otopi import util

from . import config
from constants import osetupattrsclass, osetupattrs


class FileLocations(object):
    OVIRT_ENGINE_SYSCONFDIR = config.ENGINE_SYSCONFDIR
    MONITORING_PLUGIN_CONFIG = os.path.join(
        OVIRT_ENGINE_SYSCONFDIR,
        'ui-plugins/gluster-nagios-monitoring-config.json'
    )


@util.export
@util.codegen
@osetupattrsclass
class MonitoringEnv(object):
    # In previous 3.0.3 version, this variable was stored in postinstall file
    # No longer storing this- obsoleting this variable
    @osetupattrs(
        description=_('Nagios monitoring enabled for gluster hosts - legacy'),
    )
    def MONITORING_ENABLED(self):
        return 'OVESETUP_SYSTEM/monitoringEnabled'

    @osetupattrs(
        answerfile=True,
        summary=True,
        description=_('Nagios monitoring enabled for gluster hosts'),
    )
    def NAGIOS_MONITORING_ENABLED(self):
        return 'OVESETUP_SYSTEM/nagiosMonitoringEnabled'


@util.export
class Defaults(object):
    DEFAULT_NSCA_PORT = 5667


@util.export
@util.codegen
@osetupattrsclass
class ConfigEnv(object):
    NSCA_PORT = 'OVESETUP_CONFIG/nscaPort'


# vim: expandtab tabstop=4 shiftwidth=4
