#
# rhsc-setup-plugins -- ovirt engine setup
# Copyright (C) 2013 Red Hat, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#


import gettext
_ = lambda m: gettext.dgettext(message=m, domain='rhsc-setup-plugins')


from otopi import util
from otopi import plugin


from ovirt_engine_setup import constants as osetupcons


@util.export
class Plugin(plugin.PluginBase):

    def __init__(self, context):
        super(Plugin, self).__init__(context=context)

    @plugin.event(
        stage=plugin.Stages.STAGE_MISC,
        after=(
            osetupcons.Stages.DB_SCHEMA,
        ),
    )
    def _storage(self):
        #
        # Cluster with Virt or Gluster support
        #
        # Updating the 'AllowClusterWithVirtGlusterEnabled' value to 'false'.
        # So that the user will be able to create a cluster with
        # either Virt or Gluster support but not both.
        #
        self.environment[osetupcons.DBEnv.STATEMENT].updateVdcOptions(
            options=(
                {
                    'name': 'AllowClusterWithVirtGlusterEnabled',
                    'value': 'false',
                },
            ),
        )



# vim: expandtab tabstop=4 shiftwidth=4
